##
##  Copyright 1997-2009 Torsten Rohlfing
##
##  Copyright 2004-2011 SRI International
##
##  This file is part of the Computational Morphometry Toolkit.
##
##  http://www.nitrc.org/projects/cmtk/
##
##  The Computational Morphometry Toolkit is free software: you can
##  redistribute it and/or modify it under the terms of the GNU General Public
##  License as published by the Free Software Foundation, either version 3 of
##  the License, or (at your option) any later version.
##
##  The Computational Morphometry Toolkit is distributed in the hope that it
##  will be useful, but WITHOUT ANY WARRANTY; without even the implied
##  warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##  GNU General Public License for more details.
##
##  You should have received a copy of the GNU General Public License along
##  with the Computational Morphometry Toolkit.  If not, see
##  <http://www.gnu.org/licenses/>.
##
##  $Revision: 3287 $
##
##  $LastChangedDate: 2011-07-26 15:52:15 -0700 (Tue, 26 Jul 2011) $
##
##  $LastChangedBy: torstenrohlfing $
##

#-----------------------------------------------------------------------------
#
# CMTKConfig.cmake - CMTK CMake configuration file for external projects.
#
# This file is configured by CMTK and used by the UseCMTK.cmake module
# to load CMTK's settings for an external project.

# The CMTK install tree.

# Compute the installation prefix from this CMTKConfig.cmake file location.
GET_FILENAME_COMPONENT(CMTK_INSTALL_PREFIX "${CMAKE_CURRENT_LIST_FILE}" PATH)
GET_FILENAME_COMPONENT(CMTK_INSTALL_PREFIX "${CMTK_INSTALL_PREFIX}" PATH)
GET_FILENAME_COMPONENT(CMTK_INSTALL_PREFIX "${CMTK_INSTALL_PREFIX}" PATH)

# The include directories
SET(CMTK_INCLUDE_DIRS "${CMTK_INSTALL_PREFIX}/include/cmtk")

# The library directories
SET(CMTK_LIBRARY_DIRS "${CMTK_INSTALL_PREFIX}/lib/cmtk")

# The binary directory
SET(CMTK_BINARY_DIR "/usr/bin")

# The C and C++ flags added by CMTK to the cmake-configured flags.
SET(CMTK_REQUIRED_C_FLAGS "")
SET(CMTK_REQUIRED_CXX_FLAGS " -fopenmp -DHAVE_CONFIG_H -DTEEM_ZLIB")
SET(CMTK_REQUIRED_LINK_FLAGS " -fopenmp")

# The CMTK version number
SET(CMTK_VERSION_MAJOR "2")
SET(CMTK_VERSION_MINOR "2")
SET(CMTK_VERSION_PATCH "2")

# The location of the UseCMTK.cmake file.
SET(CMTK_USE_FILE "/usr/lib/cmtk/UseCMTK.cmake")

# The build settings file.
SET(CMTK_BUILD_SETTINGS_FILE "/usr/lib/cmtk/CMTKBuildSettings.cmake")

# The library dependencies file.
SET(CMTK_LIBRARY_DEPENDS_FILE "/usr/lib/cmtk/CMTKLibraryDepends.cmake")

# Whether CMTK was built with shared libraries.
SET(CMTK_BUILD_SHARED "ON")

# A list of all libraries for CMTK.  Those listed here should
# automatically pull in their dependencies.
SET(CMTK_LIBRARIES cmtkQt cmtkPipeline cmtkRegistration cmtkSegmentation cmtkIO cmtkBase cmtkSystem)

# The CMTK library dependencies.
IF(NOT CMTK_NO_LIBRARY_DEPENDS AND
    EXISTS "${CMTK_LIBRARY_DEPENDS_FILE}")
  INCLUDE("${CMTK_LIBRARY_DEPENDS_FILE}")
ENDIF(NOT CMTK_NO_LIBRARY_DEPENDS AND
  EXISTS "${CMTK_LIBRARY_DEPENDS_FILE}")
